Merge branch 'review-1' of git://github.com/rayl/mlt
[melted] / src / modules / westley / configure
index b971570..53aacd2 100755 (executable)
@@ -1,15 +1,16 @@
-#!/bin/bash
+#!/bin/sh
 
 if [ "$help" != "1" ]
 then
 
-cat << EOF >> ../producers.dat
-westley                        libmltwestley.so
-EOF
-
-cat << EOF >> ../consumers.dat
-westley                        libmltwestley.so
-EOF
+       which xml2-config > /dev/null 2>&1
+       disable_xml2=$?
 
+       if [ "$disable_xml2" != "0" ]
+       then
+               echo "- xml2 not found: disabling westley modules"
+               touch ../disable-westley
+       fi
+       exit 0
 fi